Package org.eclipse.lemminx.settings

## Class ServerSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.ServerSettings

    public class ServerSettings
    extends Object

ServerSettings

### Field Summary

Fields
`static String` `DEFAULT_WORK_DIR`

### Constructor Summary

Constructors
`ServerSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getNormalizedWorkDir()` Returns a normalized workDir that was defined in the client preferences.
`String` `getWorkDir()`
`void` `setWorkDir​(String workDir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_WORK_DIR

    public static final String DEFAULT_WORK_DIR

See Also:
  Constant Field Values

### Constructor Detail

#### ServerSettings

    public ServerSettings()

### Method Detail

#### getWorkDir

    public String getWorkDir()

Returns:
  the workDir

#### setWorkDir

    public void setWorkDir​(String workDir)

Parameters:
  `workDir` - the workDir to set

#### getNormalizedWorkDir

    public String getNormalizedWorkDir()

Returns a normalized workDir that was defined in the client preferences. If null or empty, returns a default path.